Bug 29990 - PATCH: ability to filter based on processname
Summary: PATCH: ability to filter based on processname
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-28 09:39 UTC by Pekka Savola
Modified: 2007-04-18 16:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 16:39:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to allow syslogd filter messages to different targets based on processnames (6.86 KB, patch)
2001-02-28 09:40 UTC, Pekka Savola
no flags Details | Diff

Description Pekka Savola 2001-02-28 09:39:26 UTC
I've been longing this one feature in BSD syslogd for long time now.  It's
the ability to filter messages based on program name logging it, e.g.

---
!ftpd
*.*                     /var/log/ftpd
---

Often this can be very interesting if you want to (additionally) keep all
kind of logs with different loglevels, facilities etc. to a single file.

This is based on Peter da Silva's for for FreeBSD in 1994(!!!) at:

http://www.freebsd.org/cgi/cvsweb.cgi/src/usr.sbin/syslogd/syslogd.c.diff?r1=1.2&r2=1.3

plus a few enhancements at later commits.  There are also some man page
documentation for this.  The syslog.conf man page doesn't seem to be too
extensive so I had to be creative..

There's also a similar feature which can be used to filter using hostnames
(good for central syslog servers).

Comment 1 Pekka Savola 2001-02-28 09:40:20 UTC
Created attachment 11321 [details]
patch to allow syslogd filter messages to different targets based on processnames

Comment 2 Daniel Roesen 2001-03-06 16:33:00 UTC
Nice one, but I would rather propose to switch to far superiour syslog daemons
like syslog-ng or so.

Comment 3 Bill Nottingham 2001-03-06 16:40:01 UTC
When it was discussed, there were many complaints about syslog-ng being
*worse*.

Comment 4 Daniel Roesen 2001-03-06 17:29:24 UTC
Oh, interesting. I just took a small glance at syslog-ng two years ago and it
looked quite nice, feature-wise. No idea about security, though.

Comment 5 Daniel Roesen 2005-06-04 22:31:41 UTC
Soooo... four years have passed. Can we take another look at syslog-ng, Pekka's
patch or just close WONTFIX?

Comment 6 Bill Nottingham 2006-08-07 19:15:41 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 7 Bill Nottingham 2006-10-18 16:39:14 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.